Package org.apache.struts2.interceptor

# Class MultiselectInterceptor

java.lang.Object
org.apache.struts2.interceptor.AbstractInterceptor
org.apache.struts2.interceptor.MultiselectInterceptor

All Implemented Interfaces:
  `Serializable`, `ConditionalInterceptor`, `Interceptor`

public class MultiselectInterceptor extends AbstractInterceptor
Just as the CheckboxInterceptor checks that if only the hidden field is present, so too does this interceptor. If the "__multiselect_" request parameter is present and its visible counterpart is not, set a new request parameter to an empty String.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiselectInterceptor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `intercept(ActionInvocation ai)`
  Just as the CheckboxInterceptor checks that if only the hidden field is present, so too does this interceptor.

  ### Methods inherited from class org.apache.struts2.interceptor.AbstractInterceptor

  `destroy, init, setDisabled, shouldIntercept`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MultiselectInterceptor

    public MultiselectInterceptor()

- ## Method Details

  - ### intercept

    public String intercept(ActionInvocation ai) throws Exception
    Just as the CheckboxInterceptor checks that if only the hidden field is present, so too does this interceptor. If the "__multiselect_" request parameter is present and its visible counterpart is not, set a new request parameter to an empty String.
    Specified by:
      `intercept` in interface `Interceptor`
    Specified by:
      `intercept` in class `AbstractInterceptor`
    Parameters:
      `ai` - ActionInvocation
    Returns:
      the result of the action
    Throws:
      `Exception` - if error
    See Also:
      - `Interceptor.intercept(org.apache.struts2.ActionInvocation)`